<?
require_once('conf/dbc.php');
require_once('conf/session_start.php');
$page_title='Покупка рублей';
require_once('conf/head.php');
 require_once('conf/top.php');
include_once 'PAYconfig.php';
if(isset($_POST['summa']) and $_POST['summa']<1){echo'<center><p class="name">Покупка рублей</p></center><span style=color:red>Минимальная кол-во рублей доступное к покупке становит 10000RUB</span>';
require_once('conf/navig.php');
require_once('conf/foot.php');
exit();}
if (isset($_POST['summa']) and !isset($_POST['ok'])){
$summa=$_POST['summa']*$rpay;
echo'<center><p class="name">Покупка Золота</p></center><div class="r6">
<b><div style=color:#126478;font-size:15px;margin:12px;>Сумма к оплате: '.$summa.' рублей</b><hr></div><form action="?" method="post"><input type="hidden" name="summa" value="'.$_POST['summa'].'"/><input type="submit" name="ok" value="Оплатить"/></form></div>';
require_once('conf/navig.php');
require_once('conf/foot.php');
exit();
}

if (isset($_POST['summa']) and isset($_POST['ok']))
	{
	if (preg_match('#^([0-9]+)$|^([0-9]+\.)+([0-9]{1,2})$#', $_POST['summa']))
		{
$rub=$_POST['summa'];
$summa=$rub*$rpay;
	$data=file_get_contents('http://worldkassa.ru/user/oplata.php?id_shop='.$id_shop.'&summa='.$summa.'&hash='.$hash);
		if (is_numeric($data))
			{

mysqli_query($dbc,"INSERT INTO `worldkassa` (`id_user`, `id_bill`, `time`, `summa`,`rub`) values('".$_SESSION['id']."', '".$data."', '".time()."', '".$summa."','".$rub."')");
			header("Location: http://worldkassa.ru/user/oplata.php?uniq=".$data);
			exit();
			}
			else
			{
			$err[]=$data;
			}
		}
		else
		{
echo'Введите корректно суммy<p class="zx">';
		}
	}
$cena=$rpay*1000;
echo '<br/><center><p class="name">Покупка Золота</p></center>
<div class="r6"><center><span class="white">Стоимости</span></center>
<b><center><div style=color:#126478;font-size:15px;margin:12px;>5 Золота:  1 рубль(Россия)</b></br></div>
<span style=color:#326F60;>Минимальная сумма покупки составляет 50 Золота.<br/></span></div></center>
<center><p class="name">Покупка VIP</p></center>
<div class="r6"><center><span class="white">Стоимости</span></center>
<b><div style=color:#126478;font-size:15px;margin:12px;>При покупке игровой валюты одним платежом более чем на 150 Золота: Vip на 7 дней!</b></br></div>
<b><div style=color:#126478;font-size:15px;margin:12px;>При покупке игровой валюты одним платежом более чем на 250 Золота: Vip на 14 дней!</b></br></div>
<b><div style=color:#126478;font-size:15px;margin:12px;>При покупке игровой валюты одним платежом более чем на 450 Золота: Vip на 21 дней!</b></br></div>
<b><div style=color:#126478;font-size:15px;margin:12px;>При покупке игровой валюты одним платежом более чем на 600 Золота: Vip на 28 дней!</b></br></div>
</div>
<div class="r6"><center><span class="white">Акции</span></center>
<center><span style=color:#326F60;><i>Акция Х10, все купленное вами Золото умножаются на 10, акция длится до ------ включительно!</i><br/>
</span></center>
</div>
<div class="r6">
<form action="?" method="post">
     <center><label>Количество Золота:</label><br/>
    <input name="summa" type="text" value="50" required="required" style="width: 90%;"><br/>
<input type="submit" value="Пополнить"/>
</form></div></center>';
require_once('conf/navig.php');
require_once('conf/foot.php');
?>